#include <stdio.h>
#include <stdlib.h>

int main(){
    char c1, c2, rezultat[1000];
    int a1, a2, i=0;
    printf("Unesi c1 i c2: ");
    scanf("%c%c", &c2, &c1);
    printf("Unesi a1 i a2: ");
    scanf("%d %d", &a1, &a2);
    if(abs(a1-a2)>1)
        printf("nemoguce");
    else{
        while(a1>0 || a2>0){
            if(i%2==0){
                rezultat[i]=c1;
                a2--;
            }
            else{
                rezultat[i]=c2;
                a1--;
            }
            i++;
        }
    printf("%s", rezultat);
    }
    return 0;
}